import java.io.*;
import java.util.*;

// Задача "Количество делителей"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

// Решение, использующее факторизацию числа и комбинаторные соображения.

public class divcount_mb {
    static long MAXN = 1000000000000000000L;
    static int MAXP = 1000;

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(new File("divcount.in"));
        long n = in.nextLong();
        in.close();

        assert 1 <= n && n <= MAXN : "N is out of bounds";

        int[] prime = new int[MAXP];
        int[] factorization = new int[MAXP];
        int count = 0;
outer:
        for (int p = 2; p < MAXP; p++) {
            for (int i = 0; i < count; i++) {
                if (p % prime[i] == 0) {
                    continue outer;
                }
            }
            prime[count] = p;
            while (n % p == 0) {
                factorization[count]++;
                n /= p;
            }

            count++;
        }

        assert n == 1 : "N has prime divisor exceeding " + MAXP;

        long answer = 1;
        for (int i = 0; i < count; i++) {
            answer *= (factorization[i] + 1);            
        }

        PrintWriter out = new PrintWriter("divcount.out");
        out.println(answer);
        out.close();
    }
}